﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace ControlPointsTest_v10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            map.MapUnit = GeographyUnit.Meter;

            LayerOverlay lo = new LayerOverlay();
            lo.Name = "Culture";

            InMemoryFeatureLayer imfl = new InMemoryFeatureLayer();
            RectangleShape rect = new RectangleShape(50000, 50000, 75000, 0);
            Feature f = new Feature(rect);

            imfl.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            imfl.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            imfl.InternalFeatures.Add("box", f);
            lo.Layers.Add("Box", imfl);
            map.Overlays.Add("Culture", lo);

            rect.ScaleUp(10);
            map.CurrentExtent = rect;
            map.Refresh();
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            FeatureLayer fl = map.FindFeatureLayer("Box");

            foreach (Feature f in fl.FeatureSource.GetAllFeatures(ReturningColumnsType.NoColumns))
            {
                map.EditOverlay.EditShapesLayer.InternalFeatures.Add(f);
            }

            map.EditOverlay.CalculateAllControlPoints();
            map.Refresh();
        }
    }
}
